Bug 2068958 - Install nodtb variant for Apple M1
Summary: Install nodtb variant for Apple M1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-27 21:45 UTC by Davide Cavalca
Modified: 2022-09-21 01:40 UTC (History)
10 users (show)

Fixed In Version: uboot-tools-2022.10-0.4.rc3.fc38 uboot-tools-2022.10-0.6.rc4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-23 17:12:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Davide Cavalca 2022-03-27 21:45:41 UTC
On Apple M1 devices, we need the nodtb uboot variant so it can be chained with m1n1 and used as a stage2 bootloader. See https://github.com/AsahiLinux/docs/wiki/m1n1%3AUser-Guide#stage-2-in-the-esp= for more details.

Put up https://src.fedoraproject.org/rpms/uboot-tools/pull-request/11 for this.

Comment 1 Peter Robinson 2022-03-27 21:52:57 UTC
Why not use the UEFI method as documented pm Asahi site [1], their build is considerably more complete at this current stage than upstream is.

[1] https://asahilinux.org/2022/03/asahi-linux-alpha-release/

Comment 2 Davide Cavalca 2022-03-27 21:57:07 UTC
This is needed to use the UEFI method. Specifically, it's needed so that we can deliver an updated stage2 bootloader from Fedora (which is a combined binary with m1n1, uboot and the dtbs that gets chainloaded from the stage1 m1n1 which is booted by iboot on poweron). https://github.com/AsahiLinux/docs/wiki/m1n1%3AUser-Guide#stage-2-in-the-esp explains it in more detail. 

fwiw, the Asahi u-boot is actually pretty close to upstream, you can see the delta with rc5 at https://github.com/AsahiLinux/u-boot and my understanding is that all of the remaining patches are in the process of being upstreamed.

Comment 3 Ben Cotton 2022-08-09 13:14:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 4 Fedora Update System 2022-08-23 16:51:15 UTC
FEDORA-2022-6d0d5be17b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6d0d5be17b

Comment 5 Fedora Update System 2022-08-23 17:12:45 UTC
FEDORA-2022-6d0d5be17b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-08-23 21:14:01 UTC
FEDORA-2022-998e1e9603 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-998e1e9603

Comment 7 Fedora Update System 2022-08-24 18:44:34 UTC
FEDORA-2022-998e1e9603 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-998e1e9603`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-998e1e9603

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-06 20:30:24 UTC
FEDORA-2022-c1d9e8daa9 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c1d9e8daa9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c1d9e8daa9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-07 07:38:23 UTC
FEDORA-2022-c1d9e8daa9 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c1d9e8daa9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c1d9e8daa9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-21 01:40:17 UTC
FEDORA-2022-c1d9e8daa9 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.